2

Good day, I am using Mac OS High Sierra. And I have a piece of scientific software (I haven't written it) which doesn't run. A different version of the same software runs ok. But I need that one that doesn't work, as it has some custom functions/extensions/functionality.

When I am trying to run it, I get a report and a message which says, the s/w is old and can't run on the new OS version.

From the error log I got:

  Library not loaded: /opt/local/Library/Frameworks/QtOpenGL.framework/Versions/4/QtOpenGL

I want to find where actually and how should I change the path (most probably to /System/Library/Frameworks/...?) I also have there only a QTKit.framework.

And the Qt page says:

Qt OpenGL should not be used anymore for new code. Please use the corresponding OpenGL classes in Qt GUI.

I guess I should also have a look at the software's code (there are some C++ .h files and there is only one file containing #include <QtOpenGL/QGLWidget>), but the code is not mine, I guess it is not the full code (just the s/w's package contents) and I wonder whether there is an easy solution for old software on a new Mac OS. I am very confused. I either need to install somehow and old framework but provide a new path (where? how?) or make somewhat else.

  • Qt is opensource and a toolkit relating to Linux/KDE. QT is Apple's propietary QuickTime framework. Nothing under /System will work for you. Since Apple breaks APIs left, right and center all the time with her unfriendly upgrade enforcement, running an old app might be actually impossible. At least it would need a recompile, rebuild or patching. /opt might point to a dependency from macports package manager. In any case we need to know which software in which version you 'need' to run for more help. – LаngLаngС Oct 25 '17 at 15:28
  • Qt software will likely be compilable by yourself (and maybe then including the extensions" you're missing in the later version.). – If your package was not built by yourself the presence of .h header files most likely just indicates sloppy deployment practices. You should obtain the full actual sources. – LаngLаngС Oct 25 '17 at 15:30

You must log in to answer this question.

Browse other questions tagged .